/*=======================================================================
2. Bootstrap Overwrite
=========================================================================*/
/*------------------- 2.1 Form -------------------*/
.form-group {
  position: relative;
  margin-bottom: 20px;
}
main.login .form-group .form-control {
  color: #111111;
  padding: 20px;
  border-color: #d7d7d7;
  background-color: #ffffff;
  border-radius: 4px;
}
.form-group .form-control:focus {
  outline: none;
  box-shadow: none;
}
main.login .form-group input {
  height: 50px;
}

main.login #mobile_email {
  padding-left: 30px !important;
}

main.login #password {
  padding-left: 30px !important;
}

.form-group:last-child {
  margin-bottom: 0;
}
.form-group .submit-btn {
  height: auto;
  border: none;
  border-radius: 4px;
  font-weight: 700;
  color: #ffffff;
  font-size: 14px;
  padding: 8px 25px;
  background-color: #615dfa;
  transition: all 0.3s ease-in-out;
}
.form-group .submit-btn:hover {
  background-color: #5edfff;
}
.form-group .submit-btn:focus {
  outline: none;
}
.form-group input.form-control::-webkit-input-placeholder,
.form-group textarea.form-control::-webkit-input-placeholder {
  color: #646464;
}

.input-group {
  border-radius: 30px;
  background-color: #ffffff;
  border: none;
}
.input-group .form-control {
  border-radius: 4px 0 0 4px;
  padding: 0 20px;
  height: 40px;
  font-size: 12px;
  color: #111111;
  border: none;
}
.input-group .form-control:focus {
  box-shadow: none;
}
.input-group .input-group-append .search-btn {
  border: none;
  background-color: #615dfa;
  color: #ffffff;
  padding: 5px 15px;
  border-radius: 0 4px 4px 0;
  transition: all 0.3s ease-in-out;
}
.input-group .input-group-append .search-btn:focus {
  outline: none;
}
.input-group .input-group-append .search-btn:hover {
  background-color: #5edfff;
}
.input-group input.form-control::-webkit-input-placeholder,
.input-group textarea.form-control::-webkit-input-placeholder {
  color: #969696;
}

.form-check {
  position: relative;
  padding-left: 0;
}

.form-check label {
  display: inline-block;
  position: relative;
  padding-left: 30px;
  font-size: 14px;
  color: #646464;
  cursor: pointer;
}
.form-check label i {
  color: #ffbc09;
  margin-right: 4px;
}

.form-check label:before {
  content: '';
  display: inline-block;
  position: absolute;
  width: 18px;
  height: 18px;
  left: 0;
  top: 5px;
  background-color: transparent;
  border: 2px solid #b1b0b0;
  border-radius: 2px;
  transition: border 0.15s ease-in-out, color 0.15s ease-in-out;
}

.form-check label:after {
  content: '';
  display: inline-block;
  position: absolute;
  left: 2px;
  top: 0;
  font-size: 16px;
}

.form-check input[type='checkbox'] {
  cursor: pointer;
  position: absolute;
  width: 20px;
  height: 20px;
  top: 4px;
  left: 20px;
  z-index: 1;
  opacity: 0;
  margin-top: 0;
}

.form-check input[type='checkbox']:checked + label {
  color: #000000;
}

.form-check input[type='checkbox']:checked + label:after {
  font-family: IcoFont;
  content: '\eed8';
  font-weight: 600;
}

.form-check input[type='checkbox']:disabled + label {
  opacity: 0.65;
}

.form-check input[type='checkbox']:disabled + label:before {
  background-color: #eeeeee;
  cursor: not-allowed;
}

.form-check label::before {
  border-radius: 4px;
}

.form-check input[type='checkbox']:checked + label:before {
  background-color: #615dfa;
  border-color: #615dfa;
}

.form-check input[type='checkbox']:checked + label:after {
  color: #ffffff;
}

/*------------------- 4.4 Global -------------------*/
a {
  display: inline-block;
  text-decoration: none;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
}

a:active,
a:hover,
a:focus {
  text-decoration: none;
  color: #111111;
  outline: 0 none;
}

button:active,
button:hover,
button:focus {
  outline: 0 none;
}

img {
  max-width: 100%;
  height: auto;
}

ul {
  list-style: outside none none;
  margin: 0;
  padding: 0;
}

hr {
  margin: 0;
}

[class^='flaticon-']:before,
[class*=' flaticon-']:before,
[class^='flaticon-']:after,
[class*=' flaticon-']:after {
  margin-left: 0;
}

.item-icon {
  line-height: 1;
}
.item-icon i {
  display: inline-block;
}

/* Keyframe Animation */
@-webkit-keyframes moveclouds {
  0% {
    margin-left: 1000px;
  }
  100% {
    margin-left: -1000px;
  }
}
@keyframes moveclouds {
  0% {
    margin-left: 1000px;
  }
  100% {
    margin-left: -1000px;
  }
}
@-webkit-keyframes movingleftright1 {
  0% {
    transform: translateX(0) translateY(0);
  }
  40% {
    transform: translateX(50px) translateY(-50px);
  }
  75% {
    transform: translateX(100px);
  }
  100% {
    transform: translateY(0) translateX(0);
  }
}
@keyframes movingleftright1 {
  0% {
    transform: translateX(0) translateY(0);
  }
  40% {
    transform: translateX(50px) translateY(-50px);
  }
  75% {
    transform: translateX(100px);
  }
  100% {
    transform: translateY(0) translateX(0);
  }
}
@-webkit-keyframes movingleftright2 {
  0% {
    transform: translateX(0) translateY(0);
  }
  40% {
    transform: translateX(-50px) translateY(50px);
  }
  75% {
    transform: translateX(-100px);
  }
  100% {
    transform: translateY(0) translateX(0);
  }
}
@keyframes movingleftright2 {
  0% {
    transform: translateX(0) translateY(0);
  }
  40% {
    transform: translateX(-50px) translateY(50px);
  }
  75% {
    transform: translateX(-100px);
  }
  100% {
    transform: translateY(0) translateX(0);
  }
}
@-webkit-keyframes movingleftright3 {
  0% {
    transform: translateX(0) translateY(0);
  }
  40% {
    transform: translateX(100px) translateY(-50px);
  }
  75% {
    transform: translateX(-100px);
  }
  100% {
    transform: translateY(0) translateX(0);
  }
}
@keyframes movingleftright3 {
  0% {
    transform: translateX(0) translateY(0);
  }
  40% {
    transform: translateX(100px) translateY(-50px);
  }
  75% {
    transform: translateX(-100px);
  }
  100% {
    transform: translateY(0) translateX(0);
  }
}
@-webkit-keyframes pulse {
  0% {
    box-shadow: 0 0 0 0 #0c1fd7;
  }
  70% {
    box-shadow: 0 0 0 20px rgba(12, 31, 215, 0);
  }
  100% {
    box-shadow: 0 0 0 0 rgba(12, 31, 215, 0);
  }
}
@keyframes pulse {
  0% {
    box-shadow: 0 0 0 0 #0c1fd7;
  }
  70% {
    box-shadow: 0 0 0 20px rgba(12, 31, 215, 0);
  }
  100% {
    box-shadow: 0 0 0 0 rgba(12, 31, 215, 0);
  }
}
@-webkit-keyframes movinground {
  0% {
    transform: rotate(0deg) scale(1);
  }
  60% {
    transform: rotate(180deg) scale(1.5);
  }
  80% {
    transform: rotate(90deg) scale(0.6);
  }
  100% {
    transform: rotate(0deg) scale(1);
  }
}
@keyframes movinground {
  0% {
    transform: rotate(0deg) scale(1);
  }
  60% {
    transform: rotate(180deg) scale(1.5);
  }
  80% {
    transform: rotate(90deg) scale(0.6);
  }
  100% {
    transform: rotate(0deg) scale(1);
  }
}
@-webkit-keyframes pulse2 {
  0% {
    box-shadow: 0 0 0 0 #027af8;
  }
  70% {
    box-shadow: 0 0 0 20px rgba(94, 223, 255, 0);
  }
  100% {
    box-shadow: 0 0 0 0 rgba(94, 223, 255, 0);
  }
}
@keyframes pulse2 {
  0% {
    box-shadow: 0 0 0 0 #027af8;
  }
  70% {
    box-shadow: 0 0 0 20px rgba(94, 223, 255, 0);
  }
  100% {
    box-shadow: 0 0 0 0 rgba(94, 223, 255, 0);
  }
}

/*------------------- 5.11 Login Page -------------------*/
.login-page-wrap {
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
}

.login-page-wrap .content-wrap {
  display: flex;
  justify-content: center;
  height: calc(100% + 500px) !important;
}
.content {
  background-color: #ffffff !important;
}
.login-page-wrap .content-wrap .map-line {
  position: absolute;
  bottom: 0;
  z-index: -1;
}
.login-page-wrap .content-wrap .map-line .map-marker li {
  position: absolute;
}
.login-page-wrap .content-wrap .map-line .map-marker li:nth-child(1n) {
  bottom: 50px;
  right: 58%;
}
.login-page-wrap .content-wrap .map-line .map-marker li:nth-child(2n) {
  top: 33%;
  right: 75%;
}
.login-page-wrap .content-wrap .map-line .map-marker li:nth-child(3n) {
  top: 60%;
  right: 37%;
}
.login-page-wrap .content-wrap .map-line .map-marker li:nth-child(4n) {
  top: 38%;
  right: 21%;
}
.login-page-wrap .content-wrap .map-line .map-marker li:after {
  content: '';
  height: 6px;
  width: 33px;
  background-color: #403cd9;
  border-radius: 50%;
  position: absolute;
  top: 33px;
  left: -5px;
  -webkit-animation: pulse 1500ms infinite;
  animation: pulse 1500ms infinite;
}
.login-page-wrap .login-content {
  padding-top: 80px;
}
.login-page-wrap .item-logo {
  margin-bottom: 50px;
  text-align: center;
}
.login-page-wrap .item-logo a {
  position: relative;
}
.login-page-wrap .item-logo a:before {
  content: '';
  height: 10px;
  width: 10px;
  background-color: #027af8;
  position: absolute;
  top: 7px;
  left: 68px;
  border-radius: 50%;
  -webkit-animation: pulse2 linear 1000ms infinite;
  animation: pulse2 linear 1000ms infinite;
}
.login-page-wrap .login-form-wrap {
  padding-bottom: 50px;
  position: relative;
  padding-left: 52px;
  z-index: 1;
  /* font-family: 'Rajdhani-Bold' !important; */
  position: relative;
  z-index: 1;
}
.login-page-wrap .nav-tabs li {
  margin-bottom: 10px;
  -ms-writing-mode: tb-lr;
  writing-mode: vertical-lr;
  transform: rotate(180deg);
}
.login-page-wrap .nav-tabs li:last-child {
  margin-right: 0;
}
.login-page-wrap .nav-tabs li .nav-link {
  text-align: center;
  background-color: #ffffff;
  font-size: 16px;
  color: #000000;
  font-weight: 700;
  border: none;
  border-radius: 0 15px 15px 0;
  padding: 35px 1px;
  /* right:4px; */
}
.login-page-wrap .nav-tabs {
  position: absolute;
  left: 0;
  top: 0;
  z-index: -1;
  display: block;
  border-bottom: none;
}
.login-page-wrap .nav-tabs li .nav-link i {
  margin-bottom: 6px;
  display: inline-block;
  transform: rotate(90deg);
  font-size: 22px;
  /* color: #5edfff; */
  transition: all 0.3s ease-in-out;
}
.login-page-wrap .nav-tabs li .nav-link:hover {
  background-color: #027af8;
  color: #ffffff;
}
.login-page-wrap .nav-tabs li .nav-link:hover i {
  color: #ffffff;
}
.login-page-wrap .nav-tabs li .nav-link.active {
  background-color: #027af8;
  color: #ffffff;
}
.login-page-wrap .nav-tabs li .nav-link.active i {
  color: #ffffff;
}
.login-page-wrap .tab-content {
  min-width: 470px;
  max-width: 470px;
  min-height: 600px;
  background-color: #ffffff;
  border-radius: 0 30px 30px 30px;
  padding: 20px;
  box-shadow: 0 19px 73px 0 rgba(0, 0, 0, 0.17);
}
.login-page-wrap .tab-content .item-title {
  font-size: 24px;
  margin-bottom: 30px;
  position: relative;
  padding-bottom: 20px;
  color: #000;
  font-weight: bold;
}
.login-page-wrap .tab-content .item-title span {
  display: block;
}
.login-page-wrap .tab-content .item-title:before {
  content: '';
  height: 3px;
  width: 8px;
  background-color: #615dfa;
  border-radius: 4px;
  position: absolute;
  left: 0;
  bottom: 0;
}
.login-page-wrap .tab-content .item-title:after {
  content: '';
  height: 3px;
  width: 18px;
  background-color: #615dfa;
  border-radius: 4px;
  position: absolute;
  left: 10px;
  bottom: 0;
}
/* .login-page-wrap .tab-content .form-group {
  input::-webkit-calendar-picker-indicator {

    &:before {
        color: red;
    }
  }
}
.login-page-wrap .tab-content .form-group .form-control {
  border: none;
  border-radius: 0;
  padding: 5px 0;
  border-bottom: 1px solid #eaeaea;
} */
.login-page-wrap
  .tab-content
  .form-group
  input.form-control::-webkit-input-placeholder,
.login-page-wrap
  .tab-content
  .form-group
  textarea.form-control::-webkit-input-placeholder {
  color: #9f9f9f;
}
.login-page-wrap .tab-content .form-group input::-webkit-datetime-edit-text {
  color: #9f9f9f;
  padding: 0 0.3em;
}
.login-page-wrap
  .tab-content
  .form-group
  input::-webkit-datetime-edit-month-field {
  color: #9f9f9f;
}
.login-page-wrap
  .tab-content
  .form-group
  input::-webkit-datetime-edit-day-field {
  color: #9f9f9f;
}
.login-page-wrap
  .tab-content
  .form-group
  input::-webkit-datetime-edit-year-field {
  color: #9f9f9f;
}
.login-page-wrap .tab-content .form-group input::-webkit-inner-spin-button {
  display: none;
}
.login-page-wrap
  .tab-content
  .form-group
  .select2-container--classic
  .select2-selection--single {
  height: 50px;
  border: none;
  border-bottom: 1px solid #eaeaea;
}
.login-page-wrap
  .tab-content
  .form-group
  .select2-container--classic
  .select2-selection--single
  .select2-selection__rendered {
  line-height: 50px;
}
.login-page-wrap
  .tab-content
  .form-group
  .select2-container--classic
  .select2-selection--single
  .select2-selection__arrow {
  height: 50px;
}
.login-page-wrap
  .tab-content
  .form-group
  .select2-container--classic
  .select2-selection--single
  .select2-selection__rendered {
  font-size: 16px;
  color: #9f9f9f;
  padding-left: 0;
}
.login-page-wrap .tab-content .form-group .submit-btn {
  width: 100%;
  box-shadow: 0 10px 18px 0 rgba(0, 0, 0, 0.17);
  padding: 13px 10px;
}
.login-page-wrap .tab-content .login-tab .google-signin {
  text-align: center;
  position: relative;
  padding-bottom: 35px;
  margin-bottom: 5px;
}
.login-page-wrap .tab-content .login-tab .google-signin:before {
  content: 'or';
  font-size: 15px;
  color: #b6b6b6;
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
}
.login-page-wrap .tab-content .login-tab .google-signin a {
  border: 1px solid #e1e1e1;
  border-radius: 4px;
  padding: 12px;
  color: #646464;
  font-size: 15px;
  font-weight: 700;
  display: flex;
  align-items: center;
  justify-content: center;
}
.login-page-wrap .tab-content .login-tab .google-signin a img {
  margin-right: 8px;
}
.login-page-wrap .tab-content .login-tab .form-group .submit-btn {
  width: auto;
  padding: 12px 50px;
}
.login-page-wrap .tab-content .login-tab .reset-password {
  margin-bottom: 10px;
}
.login-page-wrap .tab-content .login-tab .reset-password a {
  display: block;
  text-align: right;
  color: #ff3d00;
  font-size: 15px;
  font-weight: 600;
}
.login-page-wrap .tab-content .login-tab .account-create {
  font-weight: 600;
  margin-top: 25px;
}
.login-page-wrap .tab-content .login-tab .account-create a {
  color: #615dfa;
  text-decoration: underline;
}
.login-page-wrap .tab-content .login-tab .account-create a:hover {
  color: #5edfff;
}

/* .btn-social-net a{


} */

.btn-social-net {
  padding: 10px;
}
button.btn.reveal {
  margin-right: 0 !important;
}

section.login_content button {
  font-size: 16px;
}

.forgot-password {
  padding: 30px;
}

.or-social {
  text-align: center;
  position: relative;
}

.or-social .or {
  background: #fff;
  display: inline-block;
  z-index: 1;
  position: relative;
  padding: 0 14px;
}

.or-social .line {
  width: 80%;
  left: 10%;
  position: absolute;
  top: 48%;
  height: 2px;
  background: #ccc;
}

.btn-social-net {
  margin-top: 20px;
}

.no-have-account {
  margin: 20px;
}

/* .item-logo a{
  margin-left: 48px; 
} */

.login_content form input[type='password'] {
  margin: 0 !important;
}

.login_content button.btn.reveal {
  margin-right: 0 !important;
  top: 0;
}

.mb-4.text-left .form-check label:before {
  top: 0;
}
.mb-4.text-left .form-check label {
  padding-left: 25px;
}

.mb-4.text-left {
  margin-bottom: 10px;
}
.font-weight-bold {
  font-weight: 700 !important;
}
.d-block {
  display: block !important;
}
/**
 * Sign In and Sign Up Custom Styles
 */
.custom-dropdown {
  width: 100%;
  background-color: #fff;
  border: 1px solid #dedeea;
  color: #3e3f5e;
  transition: border-color 0.2s ease-in-out;
  height: 200px;
  border-top-left-radius: 1rem;
  border-top-right-radius: 0.3rem;
  border-bottom-right-radius: 0.3rem;
  border-bottom-left-radius: 1rem;
  margin-top: 1rem;
  z-index: 1000;
  position: relative;
  padding: 1rem;
  overflow-y: scroll;
}
.custom-dropdown-item {
  cursor: pointer;
}
.custom-dropdown-item:hover {
  background-color: #dedeea;
}
.custom-dropdown::-webkit-scrollbar {
  width: 5px;
}
.custom-dropdown::-webkit-scrollbar-track {
  box-shadow: inset 0 0 5px grey;
  border-radius: 5px;
  background: white;
}
.custom-dropdown::-webkit-scrollbar-thumb {
  background: #027af8;
  border-radius: 5px;
}
.v-modal-dialog {
  border-radius: 30px !important;
}
/* .v-modal-dialog ::-webkit-scrollbar {
  width: 5px;
}
.v-modal-dialog ::-webkit-scrollbar-track {
  box-shadow: inset 0 0 5px grey;
  border-radius: 5px;
  background: white;
}
.v-modal-dialog ::-webkit-scrollbar-thumb {
  background: #027AF8;
  border-radius: 5px;
} */
.country-selector__label {
  color: #adafca !important;
}
.input-tel__label {
  color: #adafca !important;
}
.country-selector__input {
  border-top-left-radius: 12px !important;
  border-bottom-left-radius: 12px !important;
  border-color: #dedeea !important;
  height: 54px !important;
}
.input-tel__input {
  border-top-right-radius: 12px !important;
  border-bottom-right-radius: 12px !important;
  border-color: #dedeea !important;
  height: 54px !important;
}
.rol-card {
  height: 200px;
  width: 50%;
  margin: 1rem;
  display: flex;
  flex-direction: column;
  transition: 0.3s;
  border-radius: 30px;
  background-color: #fff;
  border: 1px solid #dedeea;
  color: #3e3f5e;
}
.rol-card:hover {
  box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
  -ms-transform: scale(1.1);
  -webkit-transform: scale(1.1);
  transform: scale(1.1);
  background-color: #f7faf9;
  border: 1px solid #337ab7;
}
.rol-card.active {
  box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
  -ms-transform: scale(1.1);
  -webkit-transform: scale(1.1);
  transform: scale(1.1);
  background-color: #f7faf9;
  border: 1px solid #337ab7;
}
.btn-buho-password {
  width: 45px;
  top: 8px !important;
  right: 10px !important;
  opacity: 1 !important;
  pointer-events: unset !important;
  background-color: unset;
}

.checkbox-wrap input[type='checkbox']:checked + .checkbox-box {
  background-color: #027af8 !important;
  border-color: #027af8 !important;
}

.checkbox-wrap input[type='radio']:checked + .checkbox-box {
  border-color: #027af8 !important;
}

::selection {
  color: #fff;
  background-color: #027af8 !important;
}

/* Custom Scrollbar */
#content_modal::-webkit-scrollbar {
  width: 0px;
  background: transparent;
}

#content_modal::-webkit-scrollbar {
  width: 15px;
}

#content_modal::-webkit-scrollbar-track {
  background-color: #e4e4e445;
  border-radius: 1rem;
}

#content_modal::-webkit-scrollbar-thumb {
  border-radius: 1rem;
  border: 5px solid transparent;
  background-clip: content-box;
  background-color: #1e90ff;
}

/* Buttons */
::-webkit-scrollbar-button:single-button {
  background-color: transparent;
  display: block;
  border-style: solid;
  height: 13px;
  width: 16px;
}

/* Up */
::-webkit-scrollbar-button:single-button:vertical:decrement {
  border-width: 0 8px 8px 8px;
  border-color: transparent transparent #027af8 transparent;
}
::-webkit-scrollbar-button:single-button:vertical:decrement:hover {
  border-color: transparent transparent #027af8 transparent;
}

/* Down */
::-webkit-scrollbar-button:single-button:vertical:increment {
  border-width: 8px 8px 0 8px;
  border-color: #027af8 transparent transparent transparent;
}
::-webkit-scrollbar-button:vertical:single-button:increment:hover {
  border-color: #027af8 transparent transparent transparent;
}

input:focus,
select:focus,
textarea:focus {
  border-color: #027af8 !important;
}

.p-2 {
  padding: 0.5rem !important;
}

.p-1 {
  padding: 0.25rem !important;
}

.checkbox-wrap input[type='checkbox']:checked + .checkbox-box .icon-check,
.checkbox-wrap input[type='radio']:checked + .checkbox-box .icon-check {
  /* fill: #fff; */
}
.checkbox-wrap .checkbox-box .icon-check {
  /* fill: transparent;
  transition: fill 0.2s ease-in-out; */
}

/** 
  * Custom Styles for mobile
  */
@media only screen and (max-width: 575px) {
  /* .login-page-wrap {
    height: 1300px;
    position: inherit;
  } */

  main {
    padding: unset !important;
  }

  main h3 {
    font-size: 18px !important;
  }

  /* .login-page-wrap .content-wrap {
    overflow: hidden;
  } */

  .login-page-wrap .login-content {
    padding: 50px 15px 0;
    width: 100%;
  }

  .login-page-wrap .login-form-wrap {
    padding-left: 0;
  }

  .login-page-wrap .nav-tabs {
    position: inherit;
    display: flex;
  }

  .nav-tabs,
  .nav-pills {
    margin-bottom: unset !important;
  }

  .login-page-wrap .nav-tabs li:last-child {
    margin-right: -2px !important;
  }
  .nav > li > a > img {
    transform: rotate(0deg) !important;
  }
  .navbar {
    display: none !important;
  }

  .login-page-wrap .nav-tabs li {
    -ms-writing-mode: inherit;
    writing-mode: inherit;
    transform: rotate(0deg);
    margin-bottom: 0;
    flex: 1;
    margin-right: 10px;
  }

  .login-page-wrap .nav-tabs li .nav-link {
    padding: 2px 1px;
    border-radius: 15px 15px 0 0;
    font-size: 14px;
  }

  .login-page-wrap .nav-tabs li .nav-link i {
    transform: rotate(0deg);
    margin-bottom: 0;
    margin-right: 6px;
    font-size: 18px;
  }

  .login-page-wrap .tab-content {
    border-radius: 0 0 30px 30px;
    min-width: 100%;
    padding: 30px 20px;
  }

  section.login_content {
    min-width: auto;
    margin-left: 0;
  }

  .login-page-wrap .nav-tabs li .nav-link {
    right: 0;
  }

  .item-logo a {
    margin-right: 0;
  }

  .login-page-wrap .tab-content .item-title {
    font-size: 22px;
  }

  .el-dialog.el-dialog--center.v-modal-dialog {
    width: 90% !important;
  }
}
